fix compilation on latest version of libquicktime (0.9.8)
[melted] / src / modules / sox / configure
index 1a3f61f..1255a7b 100755 (executable)
@@ -1,10 +1,17 @@
-#!/bin/bash
+#!/bin/sh
 
 if [ "$help" != "1" ]
 then
 
-cat << EOF >> ../filters.dat
-sox            libmltsox.so
-EOF
+       which libst-config > /dev/null 2>&1
+       disable_sox=$?
+
+       if [ "$disable_sox" = "0" ]
+       then
+               echo "sox               libmltsox$LIBSUF" >> ../filters.dat
+       else
+               echo "- sox not found: disabling"
+               touch ../disable-sox
+       fi
 
 fi